import request from '@/utils/request'

// 查询采购审批列表
export function listProcureApproval(query) {
  return request({
    url: '/oa/procureApproval/list',
    method: 'get',
    params: query
  })
}

// 查询采购审批详细
export function getProcureApproval(procureApplyId) {
  return request({
    url: '/oa/procureApproval/' + procureApplyId,
    method: 'get'
  })
}

// 新增采购审批
export function addProcureApproval(data) {
  return request({
    url: '/oa/procureApproval',
    method: 'post',
    data: data
  })
}

// 修改采购审批
export function updateProcureApproval(data) {
  return request({
    url: '/oa/procureApproval',
    method: 'put',
    data: data
  })
}

// 删除采购审批
export function delProcureApproval(procureApplyId) {
  return request({
    url: '/oa/procureApproval/' + procureApplyId,
    method: 'delete'
  })
}
